﻿#include <iostream>
#include<cmath>
#include<algorithm>
#include<set>
#include<map>
#include<vector>
#include<string>

using namespace std;
using ll = long long;
ll gcd(ll a, ll b) {
    while (b != 0) {
        a %= b;
        swap(a, b);
    }
    return a;
}
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    ll a, b; cin >> a >> b;
    ll d = gcd(a, b);
    a /= d;
    b /= d;
    set<pair<ll, ll>>was;
    long double now = double(a) / b;
    long double wear = 1;

    pair<ll, ll> wearp = { 1, 1};
    
    pair<ll, ll> right = { 1, 0 };
    pair<ll, ll> left= { 0, 1 };

    string there = "R";
    while (true) {
        if (wearp.first == a && wearp.second == b) {
            break;
        }
        was.insert({ wearp.first, wearp.second });

        if (now > wear) {
            there.push_back('R');
            left = wearp;
            wearp.first += right.first;
            wearp.second += right.second;
        } else {
            there.push_back('L');
            right = wearp;
            wearp.first += left.first;
            wearp.second += right.second;
        }

        if (was.find(wearp) != was.end()) {
            cout << "no" << endl;
            break;
        }
        wear = double(wearp.first) / wearp.second;

    }
    cout << there << '\n';
}