﻿#include <iostream>
#include<cmath>
#include<algorithm>
#include<set>
#include<map>
#include<vector>
#include<string>

using namespace std;
using ll = long long;
ll gcd(ll a, ll b) {
    while (b != 0) {
        a %= b;
        swap(a, b);
    }
    return a;
}
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);

    ll a, b; cin >> a >> b;
    ll d = gcd(a, b);
    a /= d;
    b /= d;

    ll x = max(a, b);
    vector<vector<string>> ans(x + 1, vector<string>(x + 1, "1"));
    vector<pair<ll, ll>> now;
    now.push_back({ 0, 1 });
    now.push_back({ 1, 1 });
    now.push_back({ 1, 0 });

    ans[1][1] = "R";

    for (int k = 1; k < x + 1; ++k) {
        vector<pair<ll, ll>>temp;
        for (int i = 0; i < now.size(); i++) {
            if (i % 2 == 0) {
                temp.push_back(now[i]);
            }
            else {
                ll a = now[i].first, b = now[i].second;
                ll aa = now[i].first + now[i - 1].first, bb = now[i].second + now[i - 1].second;
                if ((aa <= x && bb <= x) && ans[aa][bb] == "1") {
                    ans[aa][bb] = ans[now[i].first][now[i].second] + 'L';
                }
                temp.emplace_back(now[i].first + now[i - 1].first, now[i].second + now[i - 1].second);
                temp.emplace_back(now[i]);
                aa = now[i].first + now[i + 1].first, bb = now[i].second + now[i + 1].second;
                if ((aa <= x && bb <= x) && ans[aa][bb] == "1") {
                    ans[aa][bb] = ans[a][b] + ('R');
                }

                temp.emplace_back(now[i].first + now[i + 1].first, now[i].second + now[i + 1].second);
            }
        }
        swap(now, temp);
    }
    cout << ans[a][b] << '\n';
}