﻿#include <iostream>
#include<cmath>
#include<algorithm>
#include<set>
#include<map>
#include<vector>
#include<string>

using namespace std;
using ll = long long;
void dfs(ll v, ll p, vector<bool>& can, vector<vector<ll>> & g, ll dist, ll h) {
	if (dist <= h) {
		can[v] = true;
	}
	for (auto& u : g[v]) {
		if (u != p) {
			dfs(u, v, can, g, dist + 1, h);
		}
	}
}
int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(nullptr);
	ll n, m, k; cin >> n >> m >> k;
	vector<bool>can(n + 1);
	vector<vector<ll>> g(n + 1);
	for (int i = 0; i < m; ++i) {
		ll v, u; cin >> v >> u;
		g[v].push_back(u);
	}
	for (int i = 0; i < k; ++i) {
		ll p, h; cin >> p >> h;
		dfs(p, 0, can, g, 0, h);
	}
	ll cnt = 0;
	for (int i = 1; i <= n; ++i) {
		if (can[i]) {
			cnt++;
		}
	}
	cout << cnt << '\n';
	for (int i = 1; i <= n; ++i) {
		if (can[i]) {
			cout << i << " ";
		}
	}
}
