﻿#include <iostream>
#include<cmath>
#include<algorithm>
#include<set>
#include<map>
#include<vector>
#include<string>
#include<climits>
using namespace std;
using ll = long long;
void dfs(ll v, vector<ll>& di, vector<bool>& can, vector<vector<ll>> & g, ll dist, ll h) {

	di[v] = min(di[v], dist);
	if (dist <= h) {
		can[v] = true;
	} else {
		return;
	}
	for (auto& u : g[v]) {
		if (di[u] == INT_MAX || di[u] > dist + 1) {
			dfs(u, di, can, g, dist + 1, h);
		}
	}
}
int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(nullptr);
	ll n, m, k; cin >> n >> m >> k;
	vector<bool>can(n + 1, false);
	vector<vector<ll>> g(n + 1);
	for (int i = 0; i < m; ++i) {
		ll v, u; cin >> v >> u;
		g[v].push_back(u);
	}
	for (int i = 0; i < k; ++i) {
		vector<ll>di(n + 1, INT_MAX);

		ll p, h; cin >> p >> h;
		dfs(p, di, can, g, 0, h);
	}
	ll cnt = 0;
	for (int i = 1; i <= n; ++i) {
		if (can[i]) {
			cnt++;
		}
	}
	cout << cnt << '\n';
	for (int i = 1; i <= n; ++i) {
		if (can[i]) {
			cout << i << " ";
		}
	}
}
